/**
 * Test case for apemanTree.
 * Runs with mocha.
 */
'use strict'

const apemanTree = require('../lib/apeman_tree.js')
const assert = require('assert')

describe('apeman-tree', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Apeman tree', (done) => {
    apemanTree({
      configuration: require.resolve('../doc/mocks/mock-Apemanfile04')
    }).then(
      (result) => done(),
      (err) => assert.ifError(err)
    )
  })
})

/* global describe, before, after, it */
