/**
 * Test for bin.
 * Runs with mocha.
 */

'use strict'

const bin = require.resolve('../bin/apeman-tree')
const assert = require('assert')
const cp = require('child_process')

describe('bin', () => {
  it('Show help', (done) => {
    let cmd = [
      bin,
      '-h'
    ].join(' ')
    cp.exec(cmd, (err) => {
      assert.ifError(err)
      done()
    })
  })
})

/* global describe, before, after, it */

